<div class="container" *ngIf="isPlaying; else results">
  <h1 class="mat-display-4">{{ timer }}</h1>
  <div class="question">
    What is the
    <span class="question-word"
      >{{ currentQuestion.askForWord ? "word" : "color" }}?</span
    >
    <span
      class="color-word"
      [ngStyle]="{
        color: currentQuestion.askForWord
          ? currentQuestion.word
          : currentQuestion.color,
        background: setWordBackground(
          currentQuestion.askForWord
            ? currentQuestion.word
            : currentQuestion.color
        )
      }"
      >{{ currentQuestion.word }}</span
    >
  </div>
  <section class="choices">
    <ng-container *ngFor="let choice of currentQuestion.choices">
      <div
        (click)="setAnswer(choice.word)"
        class="choice"
        *ngIf="currentQuestion.askForWord; else askForColor"
        [ngStyle]="{ background: choice.word, width: '10rem', height: '5rem' }"
      ></div>
      <ng-template #askForColor>
        <button
          class="choice"
          (click)="setAnswer(choice.color)"
          mat-stroked-button
        >
          {{ choice.color }}
        </button>
      </ng-template>
    </ng-container>
  </section>
</div>

<ng-template #results>
  <div class="container">
    <div
      *ngFor="let stat of board"
      [ngClass]="{ 'mat-headline': stat.label === 'Grade' }"
    >
      <span>{{ stat.label }}: </span
      ><span [ngStyle]="{ 'font-weight': 'bold' }">{{ stat.value }}</span>
    </div>
    <button mat-raised-button color="primary" (click)="goToHome()">
      Play again.
    </button>
    <h1>Review your answers.</h1>
    <div class="full-question" *ngFor="let question of questions">
      <div class="question">
        What is the
        <span class="question-word"
          >{{ question.askForWord ? "word" : "color" }}?</span
        >
        <span
          class="color-word"
          [ngStyle]="{
            color: question.askForWord ? question.word : question.color,
            background: setWordBackground(
              question.askForWord ? question.word : question.color
            )
          }"
          >{{ question.word }}</span
        >
      </div>
      <section class="choices">
        <ng-container *ngFor="let choice of question.choices">
          <div
            class="choice result"
            *ngIf="question.askForWord; else askForColor"
            [ngStyle]="{
              background: choice.word,
              width: '10rem',
              height: '5rem'
            }"
          >
            <span class="answer" *ngIf="choice.word === question.answer">
              <span *ngIf="question.word === question.answer; else wrongAnswer">
                your answer <mat-icon>check</mat-icon>
              </span>
              <ng-template #wrongAnswer>
                <span>your answer </span><mat-icon>close</mat-icon>
              </ng-template>
            </span>
            <span *ngIf="choice.word === question.word">
              <span class="answer" *ngIf="!question.answer">
                no answer<mat-icon>check</mat-icon>
              </span>
              <span
                class="answer"
                *ngIf="question.answer && choice.word !== question.answer"
              >
                right answer <mat-icon>check</mat-icon>
              </span>
            </span>
          </div>
          <ng-template #askForColor>
            <button class="choice" mat-stroked-button>
              {{ choice.color }}

              <span *ngIf="choice.color === question.answer">
                <span
                  *ngIf="question.color === question.answer; else wrongAnswer"
                >
                  <span>(your ans.) </span><mat-icon>check</mat-icon>
                </span>
                <ng-template #wrongAnswer>
                  <span>(your ans.) </span><mat-icon>close</mat-icon>
                </ng-template>
              </span>
              <span *ngIf="choice.color === question.color">
                <span *ngIf="!question.answer"
                  >(no ans.) <mat-icon>check</mat-icon></span
                >
                <span
                  *ngIf="question.answer && choice.color !== question.answer"
                >
                  (right ans.) <mat-icon>check</mat-icon></span
                >
              </span>
            </button>
          </ng-template>
        </ng-container>
      </section>
    </div>
    <button mat-raised-button color="primary" (click)="goToHome()">
      Play again.
    </button>
  </div>
</ng-template>
